summaryrefslogtreecommitdiffstats
path: root/source/n/ppp
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/ppp')
-rwxr-xr-xsource/n/ppp/ppp.SlackBuild4
-rw-r--r--source/n/ppp/ppp.glibc228.diff74
2 files changed, 77 insertions, 1 deletions
diff --git a/source/n/ppp/ppp.SlackBuild b/source/n/ppp/ppp.SlackBuild
index a427e469e..23550c12f 100755
--- a/source/n/ppp/ppp.SlackBuild
+++ b/source/n/ppp/ppp.SlackBuild
@@ -28,7 +28,7 @@ RADVER=1.1.6
PPPVER=1.98
BUILD=${BUILD:-3}
-NUMJOBS=${NUMJOBS:-" -j7 "}
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -84,6 +84,8 @@ zcat $CWD/ppp.CVE-2015-3310.diff.gz | patch -p1 --verbose || exit 1
zcat $CWD/0028-pppoe-include-netinet-in.h-before-linux-in.h.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/ppp.glibc228.diff.gz | patch -p1 --verbose || exit 1
+
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} || exit 1
diff --git a/source/n/ppp/ppp.glibc228.diff b/source/n/ppp/ppp.glibc228.diff
new file mode 100644
index 000000000..6faed287e
--- /dev/null
+++ b/source/n/ppp/ppp.glibc228.diff
@@ -0,0 +1,74 @@
+--- ./pppd/pppcrypt.c.orig 2014-08-09 07:31:39.000000000 -0500
++++ ./pppd/pppcrypt.c 2018-09-18 18:59:26.393068817 -0500
+@@ -110,7 +110,7 @@
+ }
+
+ bool
+-DesSetkey(key)
++setkey(key)
+ u_char *key;
+ {
+ u_char des_key[8];
+@@ -126,7 +126,7 @@
+ }
+
+ bool
+-DesEncrypt(clear, cipher)
++encrypt(clear, cipher)
+ u_char *clear; /* IN 8 octets */
+ u_char *cipher; /* OUT 8 octets */
+ {
+@@ -161,7 +161,7 @@
+ static des_key_schedule key_schedule;
+
+ bool
+-DesSetkey(key)
++setkey(key)
+ u_char *key;
+ {
+ des_cblock des_key;
+@@ -171,7 +171,7 @@
+ }
+
+ bool
+-DesEncrypt(clear, key, cipher)
++encrypt(clear, key, cipher)
+ u_char *clear; /* IN 8 octets */
+ u_char *cipher; /* OUT 8 octets */
+ {
+--- ./pppd/chap_ms.c.orig 2014-08-09 07:31:39.000000000 -0500
++++ ./pppd/chap_ms.c 2018-09-18 18:59:26.391068817 -0500
+@@ -518,12 +518,12 @@
+ sizeof(ZPasswordHash), ZPasswordHash);
+ #endif
+
+- (void) DesSetkey(ZPasswordHash + 0);
+- DesEncrypt(challenge, response + 0);
+- (void) DesSetkey(ZPasswordHash + 7);
+- DesEncrypt(challenge, response + 8);
+- (void) DesSetkey(ZPasswordHash + 14);
+- DesEncrypt(challenge, response + 16);
++ (void) setkey(ZPasswordHash + 0);
++ encrypt(challenge, response + 0);
++ (void) setkey(ZPasswordHash + 7);
++ encrypt(challenge, response + 8);
++ (void) setkey(ZPasswordHash + 14);
++ encrypt(challenge, response + 16);
+
+ #if 0
+ dbglog("ChallengeResponse - response %.24B", response);
+@@ -640,10 +640,10 @@
+ BZERO(UcasePassword, sizeof(UcasePassword));
+ for (i = 0; i < secret_len; i++)
+ UcasePassword[i] = (u_char)toupper(secret[i]);
+- (void) DesSetkey(UcasePassword + 0);
+- DesEncrypt( StdText, PasswordHash + 0 );
+- (void) DesSetkey(UcasePassword + 7);
+- DesEncrypt( StdText, PasswordHash + 8 );
++ (void) setkey(UcasePassword + 0);
++ encrypt( StdText, PasswordHash + 0 );
++ (void) setkey(UcasePassword + 7);
++ encrypt( StdText, PasswordHash + 8 );
+ ChallengeResponse(rchallenge, PasswordHash, &response[MS_CHAP_LANMANRESP]);
+ }
+ #endif